package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.params.mark.setting.MarkQuestionParams;
import com.qmth.teachcloud.common.entity.MarkQuestion;

import java.util.List;

/**
 * <p>
 * 小题信息表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkQuestionService extends IService<MarkQuestion> {

    /**
     * 查询分组的分组题目
     *
     * @param examId      考试ID
     * @param paperNumber 试卷编号
     * @param groupNumber 分组号
     */
    String groupQuestionsByExamIdAndPaperNumberAndNumber(Long examId, String paperNumber, Integer groupNumber);

    List<MarkQuestion> listQuestionByExamIdAndPaperNumber(Long examId, String paperNumber);

    void saveQuestions(MarkQuestionParams markQuestionParams);
}
